| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Array2D< T > Class Template Referenceabstract
Basic

Array2D ( Subclass of ArrayND ) is a two dimensional array. More...

`#include <arraynd.h>`

Inheritance diagram for Array2D< T >:
[legend]

## Public Member Functions
virtual T | get (int p0, int p1) const =0
virtual T ** | get2DData ()
virtual const T ** | get2DData () const
T | getND (const int *pos) const override
const Array2DInfo & | info () const override=0
virtual void | set (int, int, T)=0
void | setND (const int *pos, T v) override
Public Member Functions inherited from ArrayND< T >
virtual | ~ArrayND ()
virtual bool | canChangeNrDims () const
virtual bool | canSetInfo () const
virtual bool | canSetStorage () const
virtual T * | get1D (const int *)
virtual const T * | get1D (const int *) const
virtual int | get1DDim () const
virtual void | getAll (T *ptr) const
virtual void | getAll (ValueSeries< T > &vs) const
T * | getData ()
const T * | getData () const
int | getSize (int dim) const
ValueSeries< T > * | getStorage ()
const ValueSeries< T > * | getStorage () const
virtual bool | isEmpty () const
virtual bool | isOK () const
virtual bool | isSettable () const
int | nrDims () const
virtual void | setAll (T)
virtual void | setData (const T *)
virtual void | setEmpty ()
virtual bool | setInfo (const ArrayNDInfo &)
virtual bool | setStorage (ValueSeries< T > *s)
od_uint64 | totalSize () const
bool | validPos (int *pos) const

## Additional Inherited Members
Protected Member Functions inherited from ArrayND< T >
virtual const T * | getData_ () const
virtual const ValueSeries< T > * | getStorage_ () const

## Detailed Description

template<class T>
class Array2D< T >

Array2D ( Subclass of ArrayND ) is a two dimensional array.

<>

## Member Function Documentation

## ◆ get()

template<class T >

virtual T Array2D< T >::get | ( | int | p0,
|  | int | p1 ) const
| pure virtual

Implemented in BIDValSetArrAdapter, Array2DConv< T, TT >, Array2DImpl< T >, Array2DImpl< Attrib::DataHolder * >, Array2DImpl< const Attrib::DataHolder * >, Array2DImpl< double >, Array2DImpl< float >, Array2DImpl< fT >, Array2DImpl< int >, Array2DImpl< visBase::HorizonSectionTile * >, Array2DSlice< T >, Array2DSubSelection< T >, and SeisTrcBufArray2D.

## ◆ get2DData() [1/2]

template<class T >

virtual T ** Array2D< T >::get2DData | ( |  | ) |
| inline virtual

Reimplemented in Array2DImpl< T >, Array2DImpl< Attrib::DataHolder * >, Array2DImpl< const Attrib::DataHolder * >, Array2DImpl< double >, Array2DImpl< float >, Array2DImpl< fT >, Array2DImpl< int >, and Array2DImpl< visBase::HorizonSectionTile * >.

## ◆ get2DData() [2/2]

template<class T >

virtual const T ** Array2D< T >::get2DData | ( |  | ) | const
| inline virtual

Reimplemented in Array2DImpl< T >, Array2DImpl< Attrib::DataHolder * >, Array2DImpl< const Attrib::DataHolder * >, Array2DImpl< double >, Array2DImpl< float >, Array2DImpl< fT >, Array2DImpl< int >, and Array2DImpl< visBase::HorizonSectionTile * >.

## ◆ getND()

template<class T >

T Array2D< T >::getND | ( | const int * | pos | ) | const
| inline override virtual

Implements ArrayND< T >.

## ◆ info()

template<class T >

const Array2DInfo & Array2D< T >::info | ( |  | ) | const
| override pure virtual

Implements ArrayND< T >.

Implemented in Array2DConv< T, TT >, Array2DImpl< T >, Array2DImpl< Attrib::DataHolder * >, Array2DImpl< const Attrib::DataHolder * >, Array2DImpl< double >, Array2DImpl< float >, Array2DImpl< fT >, Array2DImpl< int >, Array2DImpl< visBase::HorizonSectionTile * >, Array2DSlice< T >, Array2DSubSelection< T >, BIDValSetArrAdapter, and SeisTrcBufArray2D.

## ◆ set()

template<class T >

virtual void Array2D< T >::set | ( | int | ,
|  | int | ,
|  | T | )
| pure virtual

Implemented in BIDValSetArrAdapter, Array2DConv< T, TT >, Array2DImpl< Attrib::DataHolder * >, Array2DImpl< const Attrib::DataHolder * >, Array2DImpl< double >, Array2DImpl< float >, SeisTrcBufArray2D, Array2DImpl< fT >, Array2DImpl< int >, Array2DImpl< T >, Array2DSlice< T >, Array2DSubSelection< T >, and Array2DImpl< visBase::HorizonSectionTile * >.

## ◆ setND()

template<class T >

void Array2D< T >::setND | ( | const int * | pos,
|  | T | v )
| inline override virtual

Implements ArrayND< T >.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025